summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xrun-repl.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/run-repl.sh b/run-repl.sh
new file mode 100755
index 0000000..4cfae63
--- /dev/null
+++ b/run-repl.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -xe
+
+SOCKET=${PWD}/.guile-repl.socket
+if [ -f $SOCKET ]; then rm $SOCKET; fi
+ guile --listen=$SOCKET -L .
+rm $SOCKET